"
 COPYRIGHT (c) 1989 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

Object subclass:#Workstation
       instanceVariableNames:''
       classVariableNames:''
       poolDictionaries:''
       category:'Interface-Graphics'
!

Workstation comment:'
COPYRIGHT (c) 1989 by Claus Gittinger
	      All Rights Reserved

$Header: /cvs/stx/stx/libview/Attic/Workstat.st,v 1.11 1995-02-18 15:52:44 claus Exp $
'!

Smalltalk at:#Display      put:nil!

!Workstation class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1989 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

version
"
$Header: /cvs/stx/stx/libview/Attic/Workstat.st,v 1.11 1995-02-18 15:52:44 claus Exp $
"
!

documentation
"
    this class is only here, to get an instance of XWorkstation
    named Display - this cannot be done in XWorkstation since Display
    is defined in X.h/Xlib.h -- sigh
"
! !

!Workstation class methodsFor:'initialization'!

initialize
    |workstationType|

    "initialize the default display - this must be done only once"

    Display isNil ifTrue:[
	GLXWorkstation notNil ifTrue:[
	    workstationType := GLXWorkstation.
	] ifFalse:[
	    workstationType := XWorkstation
	].

	workstationType notNil ifTrue:[
	    "make sure its initialized ..."
	    workstationType initialize.

	    "set the corresponding classes ..."

	    Display := workstationType basicNew initializeFor:nil.
	    Display notNil ifTrue:[
		DisplayRootView initialize.
	    ]
	] ifFalse:[
	    NeXTWorkstation notNil ifTrue:[
		Display := NeXTWorkstation basicNew initialize.
	    ]
	]
    ]
!

reinitialize
    "reinitialize after a snapin"

    Display notNil ifTrue:[
	Display reinitialize.
    ]
! !
